CollectionStats (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class CollectionStats

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.CollectionStats

All Implemented Interfaces:
  Serializable

    public class CollectionStats

extends Object
implements Serializable

CollectionStats

See Also:
  Serialized Form

Field Summary
`protected long` | `fetchCount` fetchCount
`protected long` | `loadCount` loadCount
`protected long` | `recreateCount` recreateCount
`protected long` | `removeCount` removeCount
`protected String` | `roleName` roleName
`protected String` | `shortName` shortName
`protected long` | `updateCount` updateCount

Constructor Summary
`CollectionStats(CompositeData cData)`
`CollectionStats(String roleName)`
`CollectionStats(String name, CollectionStatistics src)`

Method Summary
`void` | `add(CollectionStats stats)`
`static CollectionStats[]` | `fromTabularData(TabularData tabularData)` fromTabularData
`long` | `getFetchCount()` getFetchCount
`long` | `getLoadCount()` getLoadCount
`long` | `getRecreateCount()` getRecreateCount
`long` | `getRemoveCount()` getRemoveCount
`String` | `getRoleName()` getRoleName
`String` | `getShortName()` getShortName
`long` | `getUpdateCount()` getUpdateCount
`static TabularData` | `newTabularDataInstance()` newTabularDataInstance
`CompositeData` | `toCompositeData()` toCompositeData
`String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### roleName

    protected final String roleName

  roleName

### shortName

    protected final String shortName

  shortName

### loadCount

    protected long loadCount

  loadCount

### fetchCount

    protected long fetchCount

  fetchCount

### updateCount

    protected long updateCount

  updateCount

### removeCount

    protected long removeCount

  removeCount

### recreateCount

    protected long recreateCount

  recreateCount

Constructor Detail

### CollectionStats

    public CollectionStats(String roleName)

Parameters:
  `roleName` -

### CollectionStats

    public CollectionStats(String name,
                           CollectionStatistics src)

Parameters:
  `name` -
  `src` -

### CollectionStats

    public CollectionStats(CompositeData cData)

Parameters:
  `cData` -

Method Detail

### add

    public void add(CollectionStats stats)

  Parameters:
    `stats` -

### toString

    public String toString()

  toString

  Overrides:
    `toString` in class `Object`

### getRoleName

    public String getRoleName()

  getRoleName

### getShortName

    public String getShortName()

  getShortName

### getLoadCount

    public long getLoadCount()

  getLoadCount

### getFetchCount

    public long getFetchCount()

  getFetchCount

### getUpdateCount

    public long getUpdateCount()

  getUpdateCount

### getRemoveCount

    public long getRemoveCount()

  getRemoveCount

### getRecreateCount

    public long getRecreateCount()

  getRecreateCount

### toCompositeData

    public CompositeData toCompositeData()

  toCompositeData

### newTabularDataInstance

    public static TabularData newTabularDataInstance()

  newTabularDataInstance

### fromTabularData

    public static CollectionStats[] fromTabularData(TabularData tabularData)

  fromTabularData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.